Bug 813256

Summary: Not able to upgrade machine from Fedora 16 to Fedora 17 RC 4 using preupgrade
Product: [Fedora] Fedora Reporter: Amitakhya Phukan <aphukan>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: alexl, hughsient
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 20:38:44 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
I can reproduce this on a Lenovo T400 none

Description Amitakhya Phukan 2012-04-17 06:38:04 EDT
Description of problem:
I installed preupgrade in my Fedora 16. Hard disk uses luks encryption. After preupgrade finished downloading packages, it asked me to reboot the system. On reboot, I had the option to "Upgrade to Fedora 17 (Beefy Miracle)". But selecting this option ultimately lands me up in a dracut prompt which tells /dev/root not found.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Upgrading Fedora 16 to Fedora 17 using preupgrade fails.

Expected results:
Upgrading Fedora 16 to Fedora 17 using preupgrade passes.

Additional info:
Comment 1 Alex Lancaster 2012-05-21 18:01:40 EDT
Possibly the same problem as in bug 798779?
Comment 2 Justin Venus 2012-05-29 13:24:37 EDT
Created attachment 587466 [details]
I can reproduce this on a Lenovo T400

I attached the anaconda error I captured while attempting to use preupgrade from Fedora 16 to Fedora 17(release) on a Lenovo T400.
Comment 3 Fedora End Of Life 2013-07-03 18:38:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 20:38:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.